%define upstream_name	 URI
%define upstream_version 5.32

%global __requires_exclude perl\\(Business::ISBN\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    URI module for perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/URI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(MIME::Base32)
BuildRequires: perl(MIME::Base64) >= 2.0.0
BuildRequires: perl(Net::Domain)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Needs)
BuildRequires: perl(Test::Warnings)
BuildRequires: perl(constant)
BuildRequires: perl(integer)
BuildRequires: perl(overload)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildRequires: rpm-build >= 4.2-7mdk
# Test Suite

BuildArch:  noarch

%description
This Perl module implements the URI class. Objects of this class represent
Uniform Resource Identifier (URI) references as specified in RFC 2396.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/URI.pm
%{perl_vendorlib}/URI
%{_mandir}/*/*

%changelog
* Tue May 13 2025 tv <tv> 5.320.0-1.mga10
+ Revision: 2183243
- update to 5.32

* Fri Jan 24 2025 tv <tv> 5.310.0-1.mga10
+ Revision: 2141379
- update to 5.31

* Wed Oct 09 2024 tv <tv> 5.300.0-1.mga10
+ Revision: 2104247
- update to 5.30

* Sun Sep 08 2024 tv <tv> 5.290.0-1.mga10
+ Revision: 2093608
- update to 5.29

* Sat Mar 30 2024 tv <tv> 5.280.0-1.mga10
+ Revision: 2053310
- update to 5.28

* Sun Feb 11 2024 tv <tv> 5.270.0-1.mga10
+ Revision: 2040398
- update to 5.27

* Wed Feb 07 2024 tv <tv> 5.260.0-1.mga10
+ Revision: 2038339
- update to 5.26

* Mon Jan 29 2024 tv <tv> 5.250.0-1.mga10
+ Revision: 2035906
- update to 5.25

* Sat Jan 27 2024 tv <tv> 5.240.0-1.mga10
+ Revision: 2035354
- update to 5.24

* Tue Aug 29 2023 tv <tv> 5.210.0-1.mga10
+ Revision: 1981032
- update to 5.21

* Fri Nov 04 2022 tv <tv> 5.170.0-1.mga9
+ Revision: 1902539
- update to 5.17

* Sat Oct 15 2022 tv <tv> 5.160.0-1.mga9
+ Revision: 1896907
- update to 5.16

* Wed Oct 12 2022 tv <tv> 5.140.0-1.mga9
+ Revision: 1896427
- update to 5.14

* Mon Jul 11 2022 tv <tv> 5.120.0-1.mga9
+ Revision: 1868436
- update to 5.12

* Fri Jul 08 2022 tv <tv> 5.110.0-1.mga9
+ Revision: 1867971
- update to 5.11

* Mon Mar 28 2022 umeabot <umeabot> 5.100.0-2.mga9
+ Revision: 1829701
- Mageia 9 Mass Rebuild

* Thu Oct 28 2021 tv <tv> 5.100.0-1.mga9
+ Revision: 1753031
- update to 5.10

* Fri Mar 05 2021 tv <tv> 5.90.0-1.mga9
+ Revision: 1699155
- update to 5.09

* Tue Mar 02 2021 tv <tv> 5.80.0-1.mga9
+ Revision: 1695944
- update to 5.08

* Thu Feb 25 2021 tv <tv> 5.70.0-1.mga9
+ Revision: 1690380
- update to 5.07

* Thu Oct 22 2020 tv <tv> 5.50.0-1.mga8
+ Revision: 1638221
- update to 5.05

* Fri Feb 14 2020 umeabot <umeabot> 1.760.0-2.mga8
+ Revision: 1522009
- Mageia 8 Mass Rebuild

* Fri Jan 11 2019 tv <tv> 1.760.0-1.mga7
+ Revision: 1355029
- update to 1.76

* Wed Jan 09 2019 tv <tv> 1.750.0-1.mga7
+ Revision: 1353014
- update to 1.75

* Thu Sep 20 2018 umeabot <umeabot> 1.740.0-2.mga7
+ Revision: 1287140
- Mageia 7 Mass Rebuild

* Tue Apr 24 2018 tv <tv> 1.740.0-1.mga7
+ Revision: 1222120
- update to 1.74

* Thu Jan 11 2018 tv <tv> 1.730.0-1.mga7
+ Revision: 1192236
- update to 1.73

* Tue Oct 03 2017 tv <tv> 1.720.0-4.mga7
+ Revision: 1167231
- rebuild with fixed rpm for missing autodeps

* Sat Sep 16 2017 tv <tv> 1.720.0-3.mga7
+ Revision: 1154593
- fix filelist
- add missing BRs for testsuite
- new release

* Sun Jun 19 2016 pterjan <pterjan> 1.710.0-2.mga6
+ Revision: 1035588
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 1.710.0-1.mga6
+ Revision: 924064
- update to 1.71

* Sun Jul 26 2015 sander85 <sander85> 1.690.0-1.mga6
+ Revision: 857844
- update to 1.69

* Sun Jul 05 2015 sander85 <sander85> 1.680.0-1.mga6
+ Revision: 850962
- update to 1.68

* Wed Oct 15 2014 umeabot <umeabot> 1.640.0-3.mga5
+ Revision: 740676
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.640.0-2.mga5
+ Revision: 686764
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Tue Jul 15 2014 sander85 <sander85> 1.640.0-1.mga5
+ Revision: 652977
- update to 1.64

* Mon Jul 07 2014 sander85 <sander85> 1.610.0-1.mga5
+ Revision: 650409
- update to 1.61

* Fri Oct 18 2013 umeabot <umeabot> 1.600.0-3.mga4
+ Revision: 515825
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.600.0-2.mga3
+ Revision: 374546
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 1.600.0-1.mga3
+ Revision: 255558
- update to 1.60
- update to 1.59

* Wed Feb 16 2011 jquelin <jquelin> 1.580.0-1.mga1
+ Revision: 52216
- update to 1.58
- mageia rebuild
- imported package perl-URI

